## xlockmore 5.56-0

=== Makefile ===
############################################################
# xlockmore Makefile.in for autoconf (UNIX/VMS X11 support)
############################################################

SUBDIRS = xlock modes/glx modes xmlock xglock

MAKE_SUBDIR = for dir in $(SUBDIRS) ; do ( cd $$dir ; $(MAKE) $@ ) ; done
# convenient not to use configure just to clean
MAKEIN_SUBDIR = for dir in $(SUBDIRS) ; do ( cd $$dir ; sed s/#/\#/ Makefile.in > Makefile ; $(MAKE) $@ ) ; done

all :
	@+$(MAKE_SUBDIR)

# this tells GNU make not to export variables into the environment
# But other makes do not understand its significance, so it must
# not be the first target in the file. So it is here, before
# any variables are created, but after the default target
.NOEXPORT :

SHELL = /bin/sh -e

srcdir = .
top_srcdir = .


TAR = tar
RM = rm -f

VER = xlockmore

install :
	@+$(MAKE_SUBDIR)

install-program :
	@+$(MAKE_SUBDIR)

install-man :
	@+$(MAKE_SUBDIR)

install-ad :
	@+$(MAKE_SUBDIR)

uninstall :
	@+$(MAKE_SUBDIR)

uninstall-program :
	@+$(MAKE_SUBDIR)

uninstall-man :
	@+$(MAKE_SUBDIR)

install.program : install-program

install.man : install-man

install.ad : install-ad

uninstall.program : uninstall-program

uninstall.man : uninstall-man

uninstall.ad : uninstall-ad

depend :
	@+$(MAKE_SUBDIR)

distdepend :
	@+$(MAKE_SUBDIR)

AUTOMAKE=/usr/share/automake-1.12

automake :
	cp -p ${AUTOMAKE}/config.guess .;\
	cp -p ${AUTOMAKE}/config.sub .;\
	cp -p ${AUTOMAKE}/install-sh .;\
	cp -p ${AUTOMAKE}/mkinstalldirs .

antic :
	@+$(MAKE_SUBDIR)

cppcheck :
	@+$(MAKE_SUBDIR)

lint :
	@+$(MAKE_SUBDIR)

xrdb :
	@+$(MAKE_SUBDIR)

man :
	@+$(MAKE_SUBDIR)

html :
	@+$(MAKE_SUBDIR)

hlp :
	@+$(MAKE_SUBDIR)

clean :
	$(RM) core *~ *% *.bak *.orig *.rej make.log MakeOut *.patch
	@+$(MAKE_SUBDIR)

distclean :
	@+$(MAKEIN_SUBDIR)
	$(RM) core *~ *% *.bak *.orig *.rej make.log MakeOut *.patch
	$(RM) Makefile config.status* config.cache config.log config.h
	$(RM) xlock95.upx xlock95.scr
	rm -rf autom4te.cache
	cd etc/genlauncher ; make distclean
	$(RM) win32/*.o win32/*.res modes/gray1.xbm

Makefile : Makefile.in config.status
	$(SHELL) config.status
config.status : configure
	$(SHELL) config.status --recheck
#configure : configure.in
# enable this rule if you want autoconf to be executed automatically when
# configure.in is changed. This is commented out, since patching might give
# configure.in a newer timestamp than configure and not everybody has autoconf
#	cd $(srcdir); autoconf

clean.all : distclean

autoconf :
	autoconf
	rm -rf autom4te.cache

ostar : distclean
	cd .. ; $(TAR) -cvf $(VER).tar $(VER)/*

tar : distclean
	cd .. ; $(TAR) --exclude CVS -cvf $(VER).tar $(VER)/*

xz : tar
	cd .. ; xz -f $(VER).tar

bzip2 : tar
	cd .. ; bzip2 -f $(VER).tar

gzip : tar
	cd .. ; gzip -f $(VER).tar

compress : tar
	cd .. ; compress -f $(VER).tar

dist : xz 

txz : tar
	cd .. ; xz -c $(VER).tar > `echo $(VER) | cut -c1-8`.txz ; \
$(RM) $(VER).tar

tbz : tar
	cd .. ; bzip2 -c $(VER).tar > `echo $(VER) | cut -c1-8`.tbz ; \
$(RM) $(VER).tar

tgz : tar
	cd .. ; gzip -c $(VER).tar > `echo $(VER) | cut -c1-8`.tgz ; \
$(RM) $(VER).tar

valgrind:
	valgrind --track-origins=yes --leak-check=full --show-leak-kinds=all \
xlock/xlock -debug

read :
	more README

=== modes/Makefile ===
# $Id : Makefile.in 5.24 2007/01/18 $
#
# xlockmore Makefile.in for autoconf (UNIX/VMS X11 support)
############################################################

# 

datarootdir = ${prefix}/share
srcdir = .
top_srcdir = ..

BITMAPDIR = $(top_srcdir)/bitmaps/
PIXMAPDIR = $(top_srcdir)/pixmaps/
UTILDIR = $(top_srcdir)/xlock/
GLDIR = $(top_srcdir)/modes/glx/
MODESDIR = $(top_srcdir)/modes/
ETCDIR = $(top_srcdir)/etc/
SOUNDDIR = $(top_srcdir)/sounds/
top_objdir = ../
UTILOBJDIR = ../xlock/
GLOBJDIR = glx/

N=
O=.o
#O=.obj
C=.c
CX=.cc
S=$(N) $(N)
#S=,
M=.xlk
E=
#E=.exe

DM = $(VPATH)/
DOM =
DU = $(UTILDIR)
DOU = $(UTILOBJDIR)
DG = $(GLDIR)
DOG = $(GLOBJDIR)
OM = $(O)$(S)$(DOM)
OU = $(O)$(S)$(DOU)
OG = $(O)$(S)$(DOG)
CM = $(C) $(DM)
CU = $(C) $(DU)
CG = $(C) $(DG)
CXM = $(CX) $(DM)
CXG = $(CX) $(DG)

# please define
# C as the C source code extension
# CX as the C++ source code extension
# O as the object extension
# S as the separator for object code

# List of object files
XLOCKUTILOBJS = $(DOU)xlock$(OU)passwd$(OU)resource$(OU)parsecmd$(O)$(S)\
$(DOU)util$(OU)logout$(OU)mode$(OU)xlockimage$(OU)ras$(OU)xbm$(O)$(S)\
$(DOU)vis$(OU)visgl$(OU)color$(OU)random$(OU)iostuff$(OU)automata$(O)$(S)\
$(DOU)spline$(OU)sound$(OU)erase$(OU)magick$(OU)xshm$(O)$(S)\
$(DOU)thread_util$(OU)aligned_malloc$(OU)vtlock$(OU)vtlock_proc$(O)

# This debugging is new and is untested on many systems.
#CHECKDEF = -DDEBUG
#CHECKLDFLAG = -g
#XLOCKCHECKOBJS = $(DOU)memcheck$(O)

XLOCKMODEOBJS = $(DOM)anemone$(OM)ant$(OM)ant3d$(OM)apollonian$(OM)\
ball$(OM)bat$(OM)blot$(OM)\
bouboule$(OM)bounce$(OM)braid$(OM)bubble$(OM)bug$(OM)\
clock$(OM)coral$(OM)crystal$(OM)\
daisy$(OM)dclock$(OM)decay$(OM)deco$(OM)deluxe$(OM)demon$(OM)\
dilemma$(OM)discrete$(OM)dragon$(OM)drift$(OM)euler2d$(OM)eyes$(OM)\
fadeplot$(OM)fiberlamp$(OM)flag$(OM)flame$(OM)flow$(OM)forest$(OM)\
fzort$(OM)galaxy$(OM)goop$(OM)grav$(OM)\
helix$(OM)hop$(OM)hyper$(OM)\
ico$(OM)ifs$(OM)image$(OM)juggle$(OM)julia$(OM)kaleid$(OM)kumppa$(OM)\
laser$(OM)life$(OM)life1d$(OM)life3d$(OM)\
lightning$(OM)lisa$(OM)lissie$(OM)loop$(OM)lyapunov$(OM)\
mandelbrot$(OM)marquee$(OM)matrix$(OM)maze$(OM)\
mountain$(OM)munch$(OM)nose$(OM)\
pacman$(OM)penrose$(OM)petal$(OM)petri$(OM)\
polyominoes$(OM)puzzle$(OM)pyro$(OM)pyro2$(OM)\
qix$(OM)rain$(OM)roll$(OM)rotor$(OM)\
scooter$(OM)shape$(OM)sierpinski$(OM)slip$(OM)\
space$(OM)sphere$(OM)spiral$(OM)spline$(OM)\
star$(OM)starfish$(OM)strange$(OM)swarm$(OM)swirl$(OM)\
t3d$(OM)tetris$(OM)thornbird$(OM)tik_tak$(OM)toneclock$(OM)\
triangle$(OM)tube$(OM)turtle$(OM)\
vines$(OM)voters$(OM)\
wator$(OM)wire$(OM)world$(OM)worm$(OM)xcl$(OM)xjack$(O)
##CONSTRUCTIONOBJS =
##CONSTRUCTIONCPPOBJS = $(DOM)billiards$(O)
#XLOCKUNSTABLEOBJS = $(DOM)run$(O)$(S)\
#$(CONSTRUCTIONOBJS)
XLOCKCPPOBJS = $(DOM)solitaire$(O)$(S)$(CONSTRUCTIONCPPOBJS)
XLOCKXPMOBJS =
##XLOCKUNSTABLEGLOBJS =
INVERTOBJS = $(DOG)i_figureeight$(O)$(S)\
$(DOG)i_linkage$(OG)i_sphere$(OG)i_spline$(O)$(S)\
$(DOG)i_threejet$(OG)i_threejetvec$(O)$(S)\
$(DOG)i_twojet$(OG)i_twojetvec$(O)
XLOCKDEPCPPGLOBJS = $(INVERTOBJS)
XLOCKMULTCPPGLOBJS = $(DOG)invert$(O)
#XLOCKTEXTGLOBJS = $(DOG)text3d$(O)
#XLOCKTEXT2GLOBJS = $(DOG)text3d2$(O)
SPROINGIESOBJS = $(DOG)buildlwo$(OG)sproingiewrap$(OG)s1_b$(O)$(S)\
$(DOG)s1_1$(OG)s1_2$(OG)s1_3$(OG)s1_4$(OG)s1_5$(OG)s1_6$(O)
ATLANTISOBJS = $(DOG)dolphin$(OG)shark$(OG)swim$(OG)whale$(O)
ATUNNELSOBJS = $(DOG)tunnel_draw$(O)
BUBBLE3DOBJS = $(DOG)b_draw$(OG)b_sphere$(OG)b_lockglue$(O)
GLPLANETOBJS = $(DOG)sphere$(O)
MOLECULEOBJS = $(DOG)tube$(OG)sphere$(O)
JUGGLER3DOBJS = $(DOG)tube$(OG)sphere$(OG)rotator$(O)$(S)\
$(DOG)glxfonts$(OG)gltrackball$(OG)trackball$(O)
XLOCKDEPGLOBJS = $(DOG)xpm-ximage$(OG)pipeobjs$(O)$(S)\
$(SPROINGIESOBJS)$(S)$(ATLANTISOBJS)$(S)$(ATUNNELSOBJS)$(S)\
$(BUBBLE3DOBJS)$(S)$(JUGGLER3DOBJS)$(S)$(XLOCKDEPCPPGLOBJS)
XLOCKNORMGLOBJS = $(DOG)cage$(OG)gears$(O)$(S)\
$(DOG)moebius$(OG)morph3d$(OG)noof$(OG)rubik$(O)$(S)\
$(DOG)sierpinski3d$(OG)skewb$(OG)stairs$(OG)superquadrics$(O)$(S)\
$(XLOCKTEXTGLOBJS)$(S)\
$(XLOCKTEXT2GLOBJS)$(S)$(XLOCKUNSTABLEGLOBJS)
XLOCKMULTGLOBJS = $(DOG)fire$(OG)lament$(OG)sballs$(OG)molecule$(O)$(S)\
$(DOG)pipes$(OG)sproingies$(OG)atlantis$(OG)atunnels$(O)$(S)\
$(DOG)bubble3d$(OG)glplanet$(OG)juggler3d$(O)$(S)$(XLOCKMULTCPPGLOBJS)
XLOCKGLOBJS = $(XLOCKNORMGLOBJS)$(S)\
$(XLOCKDEPGLOBJS)$(S)$(XLOCKMULTGLOBJS)
XLOCKBOMBOBJS = $(DOM)bomb$(O)
XLOCKUTILMODEOBJS = $(XLOCKBOMBOBJS)$(S)$(DOM)blank$(OM)random$(O)
XLOCKNORMMODEOBJS = $(XLOCKMODEOBJS)$(S)$(XLOCKUNSTABLEOBJS)$(S)\
$(XLOCKCPPOBJS)$(S)$(XLOCKXPMOBJS)$(S)$(XLOCKNORMGLOBJS)$(S)\
$(XLOCKUTILMODEOBJS)
XLOCKMULTMODEOBJS = $(XLOCKMULTGLOBJS)
XLOCKALLUTILOBJS = $(XLOCKUTILOBJS)$(S)$(XLOCKCHECKOBJS)
XLOCKOBJS = $(XLOCKALLUTILOBJS)$(S)$(XLOCKNORMMODEOBJS)$(S)\
$(XLOCKDEPGLOBJS)$(S)$(XLOCKMULTGLOBJS)

#NORMMODULES = $(XLOCKNORMMODEOBJS:.o=.xlk)

#MULTMODULES = $(XLOCKMULTMODEOBJS:.o=.xlk)

MODULES = $(NORMMODULES) $(MULTMODULES)

# List of source files
BITMAPS = bat.xbm bounce.xbm decay.xbm eyes.xbm eyes2.xbm flag.xbm \
image.xbm life.xbm life2.xbm life1d.xbm maze.xbm puzzle.xbm pyro2.xbm
PIXMAPS = bat.xpm bounce.xpm decay.xpm flag.xpm image.xpm maze.xpm \
puzzle.xpm pyro2.xpm
# life.xpm
XLOCKUTILHDRS = xlock.h mode.h vroot.h xlockimage.h ras.h \
version.h config.h
XLOCKCHECKSRCS = $(DU)memcheck$(C)
XLOCKUTILSRCS = $(DU)xlock$(CU)passwd$(CU)resource$(CU)parsecmd$(C) \
$(DU)util$(CU)logout$(CU)mode$(CU)xlockimage$(CU)ras$(CU)xbm$(C) \
$(DU)vis$(CU)visgl$(CU)color$(CU)random$(CU)iostuff$(CU)automata$(C) \
$(DU)spline$(CU)sound$(CU)erase$(CU)magick$(C) \
$(DU)vtlock$(CU)vtlock_proc$(C) $(XLOCKCHECKSRCS)

XLOCKMODESRCS = $(DM)anemone$(CM)ant$(CM)ant3d$(CM)apollonian$(C) \
$(DM)ball$(CM)bat$(CM)blot$(C) \
$(DM)bouboule$(CM)bounce$(CM)braid$(CM)bubble$(CM)bug$(C) \
$(DM)clock$(CM)coral$(CM)crystal$(C) \
$(DM)daisy$(CM)dclock$(CM)decay$(CM)deco$(CM)deluxe$(CM)demon$(C) \
$(DM)dilemma$(CM)discrete$(CM)dragon$(CM)drift$(CM)euler2d$(CM)eyes$(C) \
$(DM)fadeplot$(CM)fiberlamp$(CM)flag$(CM)flame$(CM)flow$(CM)forest$(C) \
$(DM)fzort$(CM)galaxy$(CM)goop$(CM)grav$(C) \
$(DM)helix$(CM)hop$(CM)hyper$(C) \
$(DM)ico$(CM)ifs$(CM)image$(CM)juggle$(CM)julia$(CM)kaleid$(CM)kumppa$(C) \
$(DM)laser$(CM)life$(CM)life1d$(CM)life3d$(C) \
$(DM)lightning$(CM)lisa$(CM)lissie$(CM)loop$(CM)lyapunov$(C) \
$(DM)mandelbrot$(CM)marquee$(CM)matrix$(CM)maze$(C) \
$(DM)mountain$(CM)munch$(CM)nose$(C) \
$(DM)pacman$(CM)penrose$(CM)petal$(CM)petri$(C) \
$(DM)polyominoes$(CM)puzzle$(CM)pyro$(CM)pyro2$(C) \
$(DM)qix$(CM)rain$(CM)roll$(CM)rotor$(C) \
$(DM)scooter$(CM)shape$(CM)sierpinski$(CM)slip$(C) \
$(DM)space$(CM)sphere$(CM)spiral$(CM)spline$(C) \
$(DM)star$(CM)starfish$(CM)strange$(CM)swarm$(CM)swirl$(C) \
$(DM)t3d$(CM)tetris$(CM)thornbird$(CM)tik_tak$(CM)toneclock$(C) \
$(DM)triangle$(CM)tube$(CM)turtle$(C) \
$(DM)vines$(CM)voters$(C) \
$(DM)wator$(CM)wire$(CM)world$(CM)worm$(CM)xcl$(CM)xjack$(C)
#CONSTRUCTIONSRCS =
#CONSTRUCTIONCPPSRCS = $(DM)billiards$(CX)
#XLOCKUNSTABLESRCS = $(DM)run$(C) $(CONTRUCTIONSRCS)
XLOCKCPPSRCS = $(DM)solitaire$(CX) $(CONTRUCTIONCPPSRCS)
XLOCKXPMSRCS =
XLOCKGLSRCS = $(DG)cage$(CG)fire$(CG)gears$(CG)juggler3d$(C) \
$(DG)glplanet$(CG)sphere$(CG)lament$(CG)moebius$(CG)morph3d$(C) \
$(DG)molecule$(CG)tube$(CG)noof$(CG)rubik$(CG)sballs$(C) \
$(DG)sierpinski3d$(CG)skewb$(CG)stairs$(CG)superquadrics$(C) \
$(DG)xpm-ximage$(CG)buildlwo$(CG)pipes$(CG)pipeobjs$(C) \
$(DG)sproingies$(CG)sproingiewrap$(CG)s1_b$(C) \
$(DG)s1_1$(CG)s1_2$(CG)s1_3$(CG)s1_4$(CG)s1_5$(CG)s1_6$(C) \
$(DG)atlantis$(CG)dolphin$(CG)shark$(CG)swim$(CG)whale$(C) \
$(DG)bubble3d$(CG)b_draw$(CG)b_sphere$(CG)b_lockglue$(C) \
$(DG)atunnels$(CG)tunnel_draw$(C) \
$(DG)invert$(CG)i_figureeight$(CXG)i_linkage$(CX) \
$(DG)i_sphere$(CXG)i_spline$(CX) \
$(DG)i_threejet$(CXG)i_threejetvec$(CX) \
$(DG)i_twojet$(CXG)i_twojetvec$(CXG)text3d$(CXG)text3d2$(CXG)rotator$(C)
XLOCKBOMBSRCS = $(DM)bomb$(C)
XLOCKUTILMODESRCS = $(XLOCKBOMBSRCS) $(DM)blank$(CM)random$(C)
XLOCKSRCS = $(XLOCKUTILSRCS) $(XLOCKCHECKSRCS) $(XLOCKUNSTABLESRCS) \
$(XLOCKCPPSRCS) $(XLOCKXPMSRCS) $(XLOCKGLSRCS) \
$(XLOCKMODESRCS) $(XLOCKUTILMODESRCS)

# default target
all : $(MODULES) $(XLOCKOBJS) $(UTILOBJDIR)xlock

# this tells GNU make not to export variables into the environment
# But other makes do not understand its significance, so it must
# not be the first target in the file. So it is here, before
# any variables are created, but after the default target
.NOEXPORT :

SHELL = /bin/sh

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
mandir = /share/man/man1
xapploaddir = /usr/lib/X11/app-defaults

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTPGMFLAGS = -s -g shadow -m 2111

#CC = cc -g
#CC = cc -Ac -g
#CC = cc -Xc -g
#CC = acc -g
#CC = CC -g
#CC = gcc -g -Wall -ansi -pedantic
#CC = gcc -g -Wall -Wstrict-prototypes -Wnested-externs -Wno-format
#CC = gcc -g -Wall -W -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Waggregate-return -Wmissing-prototypes -Wstrict-prototypes
CC = gcc -Wnested-externs -Wno-format
#CXX = g++ -fpermissive
#CXX = g++ -g -Wall -Wstrict-prototypes -Wnested-externs -Wno-format
CXX = g++

#LINT = lint
LINT = lint -Ncheck=%all
#LINT = alint

#FORTUNE = /usr/games/fortune

#DEPEND = makedepend
DEPEND = makedepend
DEPEND_FLAGS = 
DEPEND_DEFINES = 

#BITMAPTYPE = x11
#PIXMAPTYPE = x11
BITMAPTYPE = linux
PIXMAPTYPE = linux

# Here is your chance to override the default icon:
TINYBITMAP = $(BITMAPTYPE)
TINYBITMAP = t-x11
SMALLBITMAP = s-$(BITMAPTYPE)
MEDIUMBITMAP = m-$(BITMAPTYPE)
LARGEBITMAP = l-$(BITMAPTYPE)
SMALLPIXMAP = m-$(PIXMAPTYPE)
MEDIUMPIXMAP = m-$(PIXMAPTYPE)
LARGEPIXMAP = l-$(PIXMAPTYPE)

#BATBITMAP = $(LARGEBITMAP)
BATBITMAP = l-xlock
#BATBITMAP = l-linux
#BOUNCEBITMAP = $(LARGEBITMAP)
BOUNCEBITMAP = l-xlock
#BOUNCEBITMAP = l-linux
#DECAYBITMAP = $(LARGEBITMAP)
DECAYBITMAP = l-xlock
#DECAYBITMAP = l-linux
#EYESBITMAP = $(MEDIUMBITMAP)
EYESBITMAP = m-grelb
FLAGBITMAP = $(MEDIUMBITMAP)
IMAGEBITMAP = $(MEDIUMBITMAP)
#IMAGEBITMAP = l-bob #Slackware icon
#IMAGEBITMAP = m-xlock #XLock icon
#LIFEBITMAP = $(SMALLBITMAP)
LIFEBITMAP = s-grelb
LIFE1DBITMAP = $(TINYBITMAP)
MAZEBITMAP = $(LARGEBITMAP)
#MAZEBITMAP = m-xlock
PUZZLEBITMAP = l-xlock
#PUZZLEBITMAP = $(LARGEBITMAP)
#PUZZLEBITMAP = l-linux
#PYRO2BITMAP = $(LARGEBITMAP)
PYRO2BITMAP = l-xlock
#BATPIXMAP = $(LARGEPIXMAP)
BATPIXMAP = l-xlock
#BATPIXMAP = l-linux
#BOUNCEPIXMAP = $(LARGEPIXMAP)
BOUNCEPIXMAP = l-xlock
#BOUNCEPIXMAP = l-linux
#DECAYPIXMAP = $(LARGEPIXMAP)
DECAYPIXMAP = l-xlock
#DECAYPIXMAP = l-linux
#FLAGPIXMAP = m-xlock
FLAGPIXMAP = $(MEDIUMPIXMAP)
#FLAGPIXMAP = m-xlock
IMAGEPIXMAP = $(MEDIUMPIXMAP)
#IMAGEPIXMAP = m-xlock
LIFEPIXMAP = s-grelb
MAZEPIXMAP = $(MEDIUMPIXMAP)
#MAZEPIXMAP = m-xlock
#PUZZLEPIXMAP = $(LARGEPIXMAP)
PUZZLEPIXMAP = l-xlock
#PUZZLEPIXMAP = l-linux
PYRO2PIXMAP = l-xlock

LN_S = ln -s
RM = rm -f
RM_S = $(RM)
ECHO = echo

#BLN_S = set file/enter=[]
#RM = delete/noconfirm/nolog
#RM_S = set file/remove/nolog
#ECHO = write sys$output

MODULEFLAGS = 
#MODULELIB = -ldl
DEF_MODULEPATH = $(DESTDIR)$(prefix)/lib/X11/xlock/modules
#MODULEDEF = -DDEF_MODULEPATH=\"$(DEF_MODULEPATH)\"
SOUNDPATH = $(datarootdir)/xlock/sounds
#SOUNDDEF = -DSOUNDPATH=\"$(SOUNDPATH)\"
DEFINES = -DDEF_FILESEARCHPATH=\"$(xapploaddir)/%N%C%S:$(xapploaddir)/%N%S\" $(MODULEDEF) $(CHECKDEF)
DEFS = -DHAVE_CONFIG_H $(DEFINES)
XLOCKINC = -I. -I.. -I$(top_srcdir) -I$(UTILDIR) -I../..  -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include
CFLAGS = -O2 -g -pthread
CXXFLAGS =  -pthread
#CFLAGS = -O
#CFLAGS = -g
XLOCKLDFLAGS =  $(CHECKLDFLAG)
XLIBS = 
XLOCKLIBS = $(MODULELIB)   -lSM -lICE   -lXmu -lXpm -lGL -lGLU -lXinerama -lcrypt -lpam -ldl -lX11 -lXext -lm

####
#### Configure does not check for this stuff yet.
####
## After configure, modify generated config.h #define USE_MAGICK
## The maintainer has not gotten this to work yet...  seems to core dump

=== xglock/Makefile ===
# $Id : Makefile.in 4.04 1997/07/10 $
#
# xlockmore Makefile.in for autoconf (UNIX/VMS X11 support)
############################################################

# 

srcdir = .
top_srcdir = ..

XGLOCKDIR = $(top_srcdir)/xglock/

N=
O=.o
#O=.obj
C=.c
#C=.cc
S=$(N) $(N)
#S=,
E=
#E=.exe

# please define
# C as the C source code extension
# O as the object extension
# S as the separator for object code

####################################################################
# List of object files
XGLOCKOBJS = xglock$(O)

# List of source files
XGLOCKSRCS = $(VPATH)/xglock$(C)

# default target
all : 

# this tells GNU make not to export variables into the environment
# But other makes do not understand its significance, so it must
# not be the first target in the file. So it is here, before
# any variables are created, but after the default target
.NOEXPORT :

SHELL = /bin/sh

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
datarootdir = ${prefix}/share
datadir = ${datarootdir}
mandir = /share/man/man1

CONFIGDIR = $(srcdir)/config/

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTPGMFLAGS = -s -g shadow -m 2111

#CC = cc -g
#CC = cc -Ac -g
#CC = cc -Xc -g
#CC = acc -g
#CC = CC -g
#CC = gcc -g -Wall -ansi -pedantic
#CC = gcc -g -Wall
#CC = g++ -g -Wall
CC = gcc -Wnested-externs -Wno-format

#LINT = lint
LINT = lint -Ncheck=%all
#LINT = alint

#DEPEND = makedepend
DEPEND = makedepend
DEPEND_FLAGS = 
DEPEND_DEFINES = 

LN_S = ln -s
RM = rm -f
RM_S = $(RM)
ECHO = echo

#BLN_S = set file/enter=[]
#RM = delete/noconfirm/nolog
#RM_S = set file/remove/nolog
#ECHO = write sys$output

DEFS = -DHAVE_CONFIG_H $(DEFINES) -DXGLOCKRC_FILE=\"$(datadir)/xlock/xglockrc\"
XGLOCKINC =  -I.. -I$(top_srcdir)
CFLAGS =  -O2 -g -pthread
#CFLAGS = -O
#CFLAGS = -g
XGLOCKLDFLAGS = 
XLIBS = 
XGLOCKLIBS =    -lX11
#If you have purify, and want to use it, uncomment this definition or
# run the make as `make PURIFY=purify'
# or run configure with the --with-purify argument.
PURIFY = 

xglock : $(XGLOCKOBJS)
	$(PURIFY) $(CC) -o $@ $(XGLOCKOBJS) $(XGLOCKLDFLAGS) $(XGLOCKLIBS)
	@ $(ECHO) "$@ BUILD COMPLETE"
	@ $(ECHO) ""

.SUFFIXES : $(C) $(O)

$(C)$(O) :
	$(CC) -c $(CPPFLAGS) $(DEFS) $(XGLOCKINC) $(CFLAGS) $<

install : 

install_xglock : install-program install-man install-ad
	@ $(ECHO) "$@ COMPLETE"
	@ $(ECHO) ""

install-program : xglock
	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) xglock$(E) $(DESTDIR)$(bindir)

install-man :

install-ad :
	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir)/xlock
	$(INSTALL_PROGRAM) $(top_srcdir)/xglock/xglockrc $(DESTDIR)$(datadir)/xlock/xglockrc

uninstall : 

uninstall_xglock : uninstall-program uninstall-man uninstall-ad

uninstall-program :
	$(RM) $(DESTDIR)$(bindir)/xglock$(E)

uninstall-man :

uninstall-ad :
	$(RM) $(DESTDIR)$(datadir)/xlock/xglockrc

install.program : install-program

install.man : install-man

install.ad : install-ad

uninstall.program : uninstall-program

uninstall.man : uninstall-man

uninstall.ad : uninstall-ad

depend :

lint :
	$(LINT) -ax -DLINT $(DEFS) $(XGLOCKINC) $(XGLOCKSRCS)

antic :
	antic $(XGLOCKDIR)*.h $(XGLOCKDIR)*.c

cppcheck :
	cppcheck -f -q $(XGLOCKDIR)*.c

xrdb :

man :

html :

hlp :

clean :
	$(RM) *.o core *~ *% *.bak *.orig *.rej make.log MakeOut *.patch .pure
	$(RM) xglock xglock.exe

distclean : clean
	$(RM) Makefile

clean.all : distclean

# Adds all current dependencies to Makefile
depend :
	$(DEPEND) -s '# DO NOT DELETE: updated by make depend'              \
	$(DEPEND_FLAGS) --                                                  \
	$(XGLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                 \
	$(XGLOCKSRCS)

# Adds some dependencies to Makefile.in -- not totally accurate, but pretty
# close.  This excludes dependencies on files in /usr/include, etc.  It tries
# to include only dependencies on files which are themselves a part of this
# package. -w 0
distdepend :
	@echo updating dependencies in `pwd`/Makefile.in... ;               \
	$(DEPEND) -w 0 -f -                                                 \
	-s '# DO NOT DELETE: updated by make distdepend' $(DEPEND_FLAGS) -- \
	$(XGLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                 \
	$(XGLOCKSRCS) |                                                     \
	(                                                                   \
	  awk '/^#.*Id : Makefile.in/,/^# DO .*distdepend/' < Makefile.in ; \
	  sed -e 's@ \./@ @g;s@ /[^ ]*@@g;/^.*:$$/d'                        \
	      -e 's@\.\./bitmaps@$$(BITMAPDIR)@g' ;                         \
	  echo ''                                                           \
	) > /tmp/distdepend.$$$$ &&                                         \
	mv Makefile.in Makefile.in.bak &&                                   \
	mv /tmp/distdepend.$$$$ Makefile.in

##############################################################################
#
# DO NOT DELETE: updated by make distdepend

xglock.o: ../config.h
xglock.o: modes.h
xglock.o: logo.h

=== xlock/Makefile ===
# $Id : Makefile.in 5.24 2007/01/18 $
#
# xlockmore Makefile.in for autoconf (UNIX/VMS X11 support)
############################################################

# 

datarootdir = ${prefix}/share
srcdir = .
top_srcdir = ..

BITMAPDIR = $(top_srcdir)/bitmaps/
UTILDIR = $(top_srcdir)/xlock/
top_objdir = ../
UTILOBJDIR = ./

N=
O=.o
#O=.obj
C=.c
#C=.cc
S=$(N) $(N)
#S=,
E=
#E=.exe

DU = $(UTILDIR)
DOU = $(UTILOBJDIR)
OU = $(O)$(S)$(DOU)
CU = $(C) $(DU)

# please define
# C as the C source code extension
# O as the object extension
# S as the separator for object code


# This debugging is new and is untested on many systems.
#CHECKDEF = -DDEBUG
#XLOCKCHECKOBJS = $(DOU)memcheck$(O)

# List of object files
XLOCKUTILOBJS = $(DOU)xlock$(OU)passwd$(OU)resource$(OU)parsecmd$(O)$(S)\
$(DOU)util$(OU)logout$(OU)mode$(OU)xlockimage$(OU)ras$(OU)xbm$(O)$(S)\
$(DOU)vis$(OU)visgl$(OU)color$(OU)random$(OU)iostuff$(OU)automata$(O)$(S)\
$(DOU)spline$(OU)sound$(OU)erase$(OU)magick$(OU)xshm$(O)$(S)\
$(DOU)thread_util$(OU)aligned_malloc$(OU)vtlock$(OU)vtlock_proc$(O)$(S)\
$(XLOCKCHECKOBJS)

XLOCKCHECKSRCS = $(DU)memcheck$(C)

XLOCKUTILHDRS = xlock.h mode.h vroot.h xlockimage.h ras.h \
version.h config.h
XLOCKUTILSRCS = $(DU)xlock$(CU)passwd$(CU)resource$(CU)parsecmd$(C) \
$(DU)util$(CU)logout$(CU)mode$(CU)xlockimage$(CU)ras$(CU)xbm$(C) \
$(DU)vis$(CU)visgl$(CU)color$(CU)random$(CU)iostuff$(CU)automata$(C) \
$(DU)spline$(CU)sound$(CU)erase$(CU)magick$(CU)xshm$(C) \
$(DU)thread_util$(CU)aligned_malloc$(CU)vtlock$(CU)vtlock_proc$(C) \
$(XLOCKCHECKSRCS)

# default target
all : $(XLOCKUTILOBJS)

# this tells GNU make not to export variables into the environment
# But other makes do not understand its significance, so it must
# not be the first target in the file. So it is here, before
# any variables are created, but after the default target
.NOEXPORT :

SHELL = /bin/sh

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
mandir = /share/man/man1
xapploaddir = /usr/lib/X11/app-defaults

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTPGMFLAGS = -s -g shadow -m 2111


#CC = cc -g
#CC = cc -Ac -g
#CC = cc -Xc -g
#CC = acc -g
#CC = CC -g
#CC = gcc -g -Wall -ansi -pedantic
#CC = gcc -g -Wall -Wstrict-prototypes -Wnested-externs -Wno-format
#CC = gcc -g -Wall -W -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Waggregate-return -Wmissing-prototypes -Wstrict-prototypes
#CC = g++ -g -Wall
CC = gcc -Wnested-externs -Wno-format

#LINT = lint
LINT = lint -Ncheck=%all
#LINT = alint

#DEPEND = makedepend
DEPEND = makedepend
DEPEND_FLAGS = 
DEPEND_DEFINES = 

LN_S = ln -s
RM = rm -f
RM_S = $(RM)
ECHO = echo

#BLN_S = set file/enter=[]
#RM = delete/noconfirm/nolog
#RM_S = set file/remove/nolog
#ECHO = write sys$output

DEF_MODULEPATH = $(prefix)/lib/xlock_modules
#MODULEDEF = -DDEF_MODULEPATH=\"$(DEF_MODULEPATH)\"
DEFINES = -DDEF_FILESEARCHPATH=\"$(xapploaddir)/%N%C%S:$(xapploaddir)/%N%S\" $(MODULEDEF) $(CHECKDEF)
DEFS = -DHAVE_CONFIG_H $(DEFINES)
XLOCKINC = -I. -I.. -I$(top_srcdir)  -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include
CFLAGS = -O2 -g -pthread
#CFLAGS = -O
#CFLAGS = -g

#If you have purify, and want to use it, uncomment this definition or
# run the make as `make PURIFY=purify'
# or run configure with the --with-purify argument.
PURIFY = 

.SUFFIXES : $(C) $(O)

$(C)$(O) :
	$(CC) -c $(CPPFLAGS) $(DEFS) $(XLOCKINC) $(CFLAGS) $<

install :

install-program :

install-man :

install-ad :

uninstall :

uninstall-program :

uninstall-man :

uninstall-ad :

install.program : install-program

install.man : install-man

install.ad : install-ad

uninstall.program : uninstall-program

uninstall.man : uninstall-man

uninstall.ad : uninstall-ad

lint :

antic :
	antic $(UTILDIR)*.h $(UTILDIR)*.c

cppcheck :
	cppcheck -f -q $(UTILDIR)*.c

xrdb :
	xrdb $(UTILDIR)XLock.ad

man :
	nroff -man $(UTILDIR)xlock.man | more

# man2html 3.0.1, changed psgz 10240 and txsz 10000
xlock.html : xlock.man
	nroff -c -man < xlock.man | man2html -title xlock > xlock.html

# found man2hlp.sh in lynx source
xlock.hlp : xlock.man
	man2hlp.sh xlock.man > xlock.hlp

html : xlock.html

hlp : xlock.hlp

clean :
	$(RM) *.o core *~ *% *.bak *.orig *.rej *.patch
	$(RM) make.log MakeOut memdiag.xlock-* Makefile.dep
	$(RM) xlock._man xlock.1.html
	$(RM) xlock xlock.exe

distclean : clean
	$(RM) Makefile

clean.all : distclean

# Adds all current dependencies to Makefile
depend :
	$(DEPEND) -s '# DO NOT DELETE: updated by make depend'              \
	$(DEPEND_FLAGS) --                                                  \
	$(XLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                  \
	$(XLOCKUTILSRCS)

# Adds some dependencies to Makefile.in -- not totally accurate, but pretty
# close.  This excludes dependencies on files in /usr/include, etc.  It tries
# to include only dependencies on files which are themselves a part of this
# package.
distdepend :
	@echo updating dependencies in `pwd`/Makefile.in... ;               \
	$(DEPEND) -w 0 -f -                                                 \
	-s '# DO NOT DELETE: updated by make distdepend' $(DEPEND_FLAGS) -- \
	$(XLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                  \
	$(XLOCKUTILSRCS) |                                                  \
	(                                                                   \
	  awk '/^#.*Id : Makefile.in/,/^# DO .*distdepend/' < Makefile.in ; \
	  sed -e 's@ \./@ @g;s@ /[^ ]*@@g;/^.*:$$/d'                        \
	      -e 's@^\.\./xlock@$$(UTILOBJDIR)@'                            \
	      -e 's@\.\./bitmaps@$$(BITMAPDIR)@g' ;                         \
	  echo ''                                                           \
	) > /tmp/distdepend.$$$$ &&                                         \
	mv Makefile.in Makefile.in.bak &&                                   \
	mv /tmp/distdepend.$$$$ Makefile.in

##############################################################################
#
# DO NOT DELETE: updated by make distdepend

$(UTILOBJDIR)/xlock.o: xlock.h
$(UTILOBJDIR)/xlock.o: $(top_objdir)/config.h
$(UTILOBJDIR)/xlock.o: mode.h
$(UTILOBJDIR)/xlock.o: random.h
$(UTILOBJDIR)/xlock.o: color.h
$(UTILOBJDIR)/xlock.o: util.h
$(UTILOBJDIR)/xlock.o: iostuff.h
$(UTILOBJDIR)/xlock.o: passwd.h
$(UTILOBJDIR)/xlock.o: $(BITMAPDIR)/mailempty.xbm
$(UTILOBJDIR)/xlock.o: $(BITMAPDIR)/mailfull.xbm
$(UTILOBJDIR)/xlock.o: vroot.h
$(UTILOBJDIR)/passwd.o: xlock.h
$(UTILOBJDIR)/passwd.o: $(top_objdir)/config.h
$(UTILOBJDIR)/passwd.o: mode.h
$(UTILOBJDIR)/passwd.o: random.h
$(UTILOBJDIR)/passwd.o: iostuff.h
$(UTILOBJDIR)/passwd.o: passwd.h
$(UTILOBJDIR)/resource.o: xlock.h
$(UTILOBJDIR)/resource.o: $(top_objdir)/config.h
$(UTILOBJDIR)/resource.o: mode.h
$(UTILOBJDIR)/resource.o: random.h
$(UTILOBJDIR)/resource.o: vis.h
$(UTILOBJDIR)/resource.o: visgl.h
$(UTILOBJDIR)/resource.o: iostuff.h
$(UTILOBJDIR)/resource.o: version.h
$(UTILOBJDIR)/util.o: xlock.h
$(UTILOBJDIR)/util.o: $(top_objdir)/config.h
$(UTILOBJDIR)/util.o: mode.h
$(UTILOBJDIR)/util.o: random.h
$(UTILOBJDIR)/util.o: util.h
$(UTILOBJDIR)/logout.o: xlock.h
$(UTILOBJDIR)/logout.o: $(top_objdir)/config.h
$(UTILOBJDIR)/logout.o: mode.h
$(UTILOBJDIR)/logout.o: random.h
$(UTILOBJDIR)/logout.o: iostuff.h
$(UTILOBJDIR)/mode.o: xlock.h
$(UTILOBJDIR)/mode.o: $(top_objdir)/config.h
$(UTILOBJDIR)/mode.o: mode.h
$(UTILOBJDIR)/mode.o: random.h
$(UTILOBJDIR)/xlockimage.o: xlock.h
$(UTILOBJDIR)/xlockimage.o: $(top_objdir)/config.h
$(UTILOBJDIR)/xlockimage.o: mode.h
$(UTILOBJDIR)/xlockimage.o: random.h
$(UTILOBJDIR)/xlockimage.o: iostuff.h
$(UTILOBJDIR)/xlockimage.o: xlockimage.h
$(UTILOBJDIR)/ras.o: xlock.h
$(UTILOBJDIR)/ras.o: $(top_objdir)/config.h
$(UTILOBJDIR)/ras.o: mode.h
$(UTILOBJDIR)/ras.o: random.h
$(UTILOBJDIR)/ras.o: iostuff.h
$(UTILOBJDIR)/ras.o: ras.h
$(UTILOBJDIR)/ras.o: xlockimage.h
$(UTILOBJDIR)/xbm.o: xlock.h
$(UTILOBJDIR)/xbm.o: $(top_objdir)/config.h
$(UTILOBJDIR)/xbm.o: mode.h
$(UTILOBJDIR)/xbm.o: random.h
$(UTILOBJDIR)/vis.o: xlock.h
$(UTILOBJDIR)/vis.o: $(top_objdir)/config.h
$(UTILOBJDIR)/vis.o: mode.h
$(UTILOBJDIR)/vis.o: random.h
$(UTILOBJDIR)/vis.o: vis.h
$(UTILOBJDIR)/vis.o: visgl.h
$(UTILOBJDIR)/visgl.o: xlock.h
$(UTILOBJDIR)/visgl.o: $(top_objdir)/config.h
$(UTILOBJDIR)/visgl.o: mode.h
$(UTILOBJDIR)/visgl.o: random.h
$(UTILOBJDIR)/visgl.o: visgl.h
$(UTILOBJDIR)/color.o: xlock.h
$(UTILOBJDIR)/color.o: $(top_objdir)/config.h
$(UTILOBJDIR)/color.o: mode.h
$(UTILOBJDIR)/color.o: random.h
$(UTILOBJDIR)/color.o: color.h
$(UTILOBJDIR)/color.o: vis.h
$(UTILOBJDIR)/color.o: visgl.h
$(UTILOBJDIR)/iostuff.o: xlock.h
$(UTILOBJDIR)/iostuff.o: $(top_objdir)/config.h
$(UTILOBJDIR)/iostuff.o: mode.h
$(UTILOBJDIR)/iostuff.o: random.h
$(UTILOBJDIR)/iostuff.o: vis.h
$(UTILOBJDIR)/iostuff.o: visgl.h
$(UTILOBJDIR)/iostuff.o: color.h
$(UTILOBJDIR)/iostuff.o: iostuff.h
$(UTILOBJDIR)/iostuff.o: ras.h
$(UTILOBJDIR)/iostuff.o: xlockimage.h
$(UTILOBJDIR)/automata.o: xlock.h
$(UTILOBJDIR)/automata.o: $(top_objdir)/config.h
$(UTILOBJDIR)/automata.o: mode.h
$(UTILOBJDIR)/automata.o: random.h
$(UTILOBJDIR)/automata.o: automata.h
$(UTILOBJDIR)/spline.o: xlock.h
$(UTILOBJDIR)/spline.o: $(top_objdir)/config.h
$(UTILOBJDIR)/spline.o: mode.h
$(UTILOBJDIR)/spline.o: random.h
$(UTILOBJDIR)/spline.o: spline.h
$(UTILOBJDIR)/sound.o: xlock.h
$(UTILOBJDIR)/sound.o: $(top_objdir)/config.h
$(UTILOBJDIR)/sound.o: mode.h
$(UTILOBJDIR)/sound.o: random.h
$(UTILOBJDIR)/erase.o: xlock.h
$(UTILOBJDIR)/erase.o: $(top_objdir)/config.h
$(UTILOBJDIR)/erase.o: mode.h
$(UTILOBJDIR)/erase.o: random.h
$(UTILOBJDIR)/erase.o: erase_init.h
$(UTILOBJDIR)/erase.o: erase.h
$(UTILOBJDIR)/erase.o: erase_debug.h
$(UTILOBJDIR)/vtlock.o: xlock.h
$(UTILOBJDIR)/vtlock.o: $(top_objdir)/config.h
$(UTILOBJDIR)/vtlock.o: mode.h
$(UTILOBJDIR)/vtlock.o: random.h
$(UTILOBJDIR)/vtlock_proc.o: xlock.h
$(UTILOBJDIR)/vtlock_proc.o: $(top_objdir)/config.h
$(UTILOBJDIR)/vtlock_proc.o: mode.h
$(UTILOBJDIR)/vtlock_proc.o: random.h

=== xmlock/Makefile ===
# $Id : Makefile.in 4.04 1997/07/10 $
#
# xlockmore Makefile.in for autoconf (UNIX/VMS X11 support)
############################################################

# 

datarootdir = ${prefix}/share
srcdir = .
top_srcdir = ..

BITMAPDIR = $(top_srcdir)/bitmaps/
XMLOCKDIR = $(top_srcdir)/xmlock/

N=
O=.o
#O=.obj
C=.c
#C=.cc
S=$(N) $(N)
#S=,
E=
#E=.exe

# please define
# C as the C source code extension
# O as the object extension
# S as the separator for object code

####################################################################
# List of object files
XMLOCKOBJS = option$(O)$(S)xmlock$(O)

# List of source files
XMLOCKSRCS = $(VPATH)/option$(C) $(VPATH)/xmlock$(C)

# default target
all : 

# this tells GNU make not to export variables into the environment
# But other makes do not understand its significance, so it must
# not be the first target in the file. So it is here, before
# any variables are created, but after the default target
.NOEXPORT :

SHELL = /bin/sh

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
mandir = /share/man/man1
xapploaddir = /usr/lib/X11/app-defaults

CONFIGDIR = $(srcdir)/config/

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTPGMFLAGS = -s -g shadow -m 2111

#CC = cc -g
#CC = cc -Ac -g
#CC = cc -Xc -g
#CC = acc -g
#CC = CC -g
#CC = gcc -g -Wall -ansi -pedantic
#CC = gcc -g -Wall -Wstrict-prototypes -Wnested-externs -Wno-format
#CC = gcc -g -Wall -W -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Waggregate-return -Wmissing-prototypes -Wstrict-prototypes
#CC = g++ -g -Wall
CC = gcc -Wnested-externs -Wno-format

#LINT = lint
LINT = lint -Ncheck=%all
#LINT = alint

#DEPEND = makedepend
DEPEND = makedepend
DEPEND_FLAGS = 
DEPEND_DEFINES = 

LN_S = ln -s
RM = rm -f
RM_S = $(RM)
ECHO = echo

#BLN_S = set file/enter=[]
#RM = delete/noconfirm/nolog
#RM_S = set file/remove/nolog
#ECHO = write sys$output

DEFS = -DHAVE_CONFIG_H $(DEFINES)
XMLOCKINC =  -I/usr/include -I.. -I$(top_srcdir)
CFLAGS = -O2 -g -pthread
#CFLAGS = -O
#CFLAGS = -g
XMLOCKLDFLAGS = 
XLIBS = 
XMLOCKLIBS =  -lXpm -lXmu -lXt  -lX11
#If you have purify, and want to use it, uncomment this definition or
# run the make as `make PURIFY=purify'
# or run configure with the --with-purify argument.
PURIFY = 

xmlock : $(XMLOCKOBJS)
	$(PURIFY) $(CC) -o $@ $(XMLOCKOBJS) $(XMLOCKLDFLAGS) $(XMLOCKLIBS)
	@ $(ECHO) "$@ BUILD COMPLETE"
	@ $(ECHO) ""

.SUFFIXES : $(C) $(O)

$(C)$(O) :
	$(CC) -c $(CPPFLAGS) $(DEFS) $(XMLOCKINC) $(CFLAGS) $<

install : 

install_xmlock : install-program install-man install-ad
	@ $(ECHO) "$@ COMPLETE"
	@ $(ECHO) ""

install-program : xmlock
	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) xmlock$(E) $(DESTDIR)$(bindir)

install-man :

install-ad :
	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(xapploaddir)
	$(INSTALL_DATA) $(top_srcdir)/xmlock/XmLock.ad $(DESTDIR)$(xapploaddir)/XmLock

uninstall : 

uninstall_xmlock : uninstall-program uninstall-man uninstall-ad

uninstall-program :
	$(RM) $(DESTDIR)$(bindir)/xmlock$(E)

uninstall-man :

uninstall-ad :
	$(RM) $(DESTDIR)$(xapploaddir)/XmLock

install.program : install-program

install.man : install-man

install.ad : install-ad

uninstall.program : uninstall-program

uninstall.man : uninstall-man

uninstall.ad : uninstall-ad

lint :
	$(LINT) -ax -DLINT $(DEFS) $(XMLOCKINC) $(XMLOCKSRCS)

antic :
	antic $(XMLOCKDIR)*.h $(XMLOCKDIR)*.c

cppcheck :
	cppcheck -f -q $(XMLOCKDIR)*.c

xrdb :
	xrdb $(top_srcdir)/xmlock/XmLock.ad

man :

html :

hlp :

clean :
	$(RM) *.o core *~ *% *.bak *.orig *.rej *.patch .pure
	$(RM) make.log MakeOut Makefile.dep
	$(RM) xmlock xmlock.exe

distclean : clean
	$(RM) Makefile

clean.all : distclean

# Adds all current dependencies to Makefile
depend :
	$(DEPEND) -s '# DO NOT DELETE: updated by make depend'              \
	$(DEPEND_FLAGS) --                                                  \
	$(XMLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                 \
	$(XMLOCKSRCS)

# Adds some dependencies to Makefile.in -- not totally accurate, but pretty
# close.  This excludes dependencies on files in /usr/include, etc.  It tries
# to include only dependencies on files which are themselves a part of this
# package. -w 0
distdepend :
	@echo updating dependencies in `pwd`/Makefile.in... ;               \
	$(DEPEND) -w 0 -f -                                                 \
	-s '# DO NOT DELETE: updated by make distdepend' $(DEPEND_FLAGS) -- \
	$(XMLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                 \
	$(XMLOCKSRCS) |                                                     \
	(                                                                   \
	  awk '/^#.*Id : Makefile.in/,/^# DO .*distdepend/' < Makefile.in ; \
	  sed -e 's@ \./@ @g;s@ /[^ ]*@@g;/^.*:$$/d'                        \
	      -e 's@\.\./bitmaps@$$(BITMAPDIR)@g' ;                         \
	  echo ''                                                           \
	) > /tmp/distdepend.$$$$ &&                                         \
	mv Makefile.in Makefile.in.bak &&                                   \
	mv /tmp/distdepend.$$$$ Makefile.in

##############################################################################
#
# DO NOT DELETE: updated by make distdepend

option.o: option.h
xmlock.o: ../config.h
xmlock.o: option.h
xmlock.o: $(BITMAPDIR)/m-xlock.xbm
xmlock.o: modes.h

=== modes/glx/Makefile ===
# $Id : Makefile.in 5.24 2007/01/18 $
#
# xlockmore Makefile.in for autoconf (UNIX/VMS X11 support)
############################################################

# 

datarootdir = ${prefix}/share
srcdir = .
top_srcdir = ../..

PIXMAPDIR = $(top_srcdir)/pixmaps/
UTILDIR = $(top_srcdir)/xlock/
MODEDIR = $(top_srcdir)/modes/
GLDIR = $(top_srcdir)/modes/glx/
top_objdir = ../../
UTILOBJDIR = ../../xlock/
MODEOBJDIR = ../
GLOBJDIR = ./

N=
O=.o
#O=.obj
C=.c
CX=.cc
S=$(N) $(N)
#S=,
M=.xlk
E=
#E=.exe

DU = $(UTILDIR)
DOU = $(UTILOBJDIR)
DG = $(GLDIR)
DOG = $(GLOBJDIR)
OU = $(O)$(S)$(DOU)
OG = $(O)$(S)$(DOG)
CU = $(C) $(DU)
CG = $(C) $(DG)
CXG = $(CX) $(DG)

# please define
# C as the C source code extension
# CX as the C++ source code extension
# O as the object extension
# S as the separator for object code

##XLOCKUNSTABLEGLOBJS =
INVERTOBJS = $(DOG)i_figureeight$(O)$(S)\
$(DOG)i_linkage$(OG)i_sphere$(OG)i_spline$(O)$(S)\
$(DOG)i_threejet$(OG)i_threejetvec$(O)$(S)\
$(DOG)i_twojet$(OG)i_twojetvec$(O)
XLOCKDEPCPPGLOBJS = $(INVERTOBJS)
XLOCKMULTCPPGLOBJS = $(DOG)invert$(O)
#XLOCKTEXTGLOBJS = $(DOG)text3d$(O)
#XLOCKTEXT2GLOBJS = $(DOG)text3d2$(O)
SPROINGIESOBJS = $(DOG)buildlwo$(OG)sproingiewrap$(OG)s1_b$(O)$(S)\
$(DOG)s1_1$(OG)s1_2$(OG)s1_3$(OG)s1_4$(OG)s1_5$(OG)s1_6$(O)
ATLANTISOBJS = $(DOG)dolphin$(OG)shark$(OG)swim$(OG)whale$(O)
ATUNNELSOBJS = $(DOG)tunnel_draw$(O)
BUBBLE3DOBJS = $(DOG)b_draw$(OG)b_sphere$(OG)b_lockglue$(O)
GLPLANETOBJS = $(DOG)sphere$(O)
MOLECULEOBJS = $(DOG)tube$(OG)sphere$(O)
JUGGLER3DOBJS = $(DOG)tube$(OG)sphere$(OG)rotator$(O)$(S)\
$(DOG)glxfonts$(OG)gltrackball$(OG)trackball$(O)
XLOCKDEPGLOBJS = $(DOG)xpm-ximage$(OG)pipeobjs$(O)$(S)\
$(SPROINGIESOBJS)$(S)$(ATLANTISOBJS)$(S)$(ATUNNELSOBJS)$(S)\
$(BUBBLE3DOBJS)$(S)$(JUGGLER3DOBJS)$(S)$(XLOCKDEPCPPGLOBJS)
XLOCKNORMGLOBJS = $(DOG)cage$(OG)gears$(O)$(S)\
$(DOG)moebius$(OG)morph3d$(OG)noof$(OG)rubik$(O)$(S)\
$(DOG)sierpinski3d$(OG)skewb$(OG)stairs$(OG)superquadrics$(O)$(S)\
$(XLOCKTEXTGLOBJS)$(S)\
$(XLOCKTEXT2GLOBJS)$(S)$(XLOCKUNSTABLEGLOBJS)
XLOCKMULTGLOBJS = $(DOG)fire$(OG)lament$(OG)sballs$(OG)molecule$(O)$(S)\
$(DOG)pipes$(OG)sproingies$(OG)atlantis$(OG)atunnels$(O)$(S)\
bubble3d$(OG)glplanet$(OG)juggler3d$(O)$(S)$(XLOCKMULTCPPGLOBJS)
XLOCKGLOBJS = $(XLOCKNORMGLOBJS)$(S)\
$(XLOCKDEPGLOBJS)$(S)$(XLOCKMULTGLOBJS)
# default target
all : $(XLOCKGLOBJS)

# this tells GNU make not to export variables into the environment
# But other makes do not understand its significance, so it must
# not be the first target in the file. So it is here, before
# any variables are created, but after the default target
.NOEXPORT :

SHELL = /bin/sh

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
mandir = /share/man/man1
xapploaddir = /usr/lib/X11/app-defaults

#CC = cc -g
#CC = cc -Ac -g
#CC = cc -Xc -g
#CC = acc -g
#CC = CC -g
#CC = gcc -g -Wall -ansi -pedantic
#CC = gcc -g -Wall -Wstrict-prototypes -Wnested-externs -Wno-format
#CC = gcc -g -Wall -W -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Waggregate-return -Wmissing-prototypes -Wstrict-prototypes
#CC = g++ -g -Wall
CC = gcc -Wnested-externs -Wno-format
#CXX = g++ -fpermissive
#CXX = g++ -g -Wall -Wstrict-prototypes -Wnested-externs -Wno-format
CXX = g++

#LINT = lint
LINT = lint -Ncheck=%all
#LINT = alint

#DEPEND = makedepend
DEPEND = makedepend
DEPEND_FLAGS = 
DEPEND_DEFINES = 

LN_S = ln -s
RM = rm -f
RM_S = $(RM)
ECHO = echo

#BLN_S = set file/enter=[]
#RM = delete/noconfirm/nolog
#RM_S = set file/remove/nolog
#ECHO = write sys$output

DEFINES = -DDEF_FILESEARCHPATH=\"$(xapploaddir)/%N%C%S:$(xapploaddir)/%N%S\"
DEFS = -DHAVE_CONFIG_H $(DEFINES)
XLOCKINC = -I. -I.. -I../.. -I$(UTILDIR) -I$(top_srcdir)  -I/usr/include -I/usr/include -I/usr/include -I/usr/include -I/usr/include
CFLAGS = -O2 -g -pthread
CXXFLAGS =  -pthread
#CXXFLAGS = $(CPPFLAGS) $(DEFS) $(XLOCKINC) $(CFLAGS)
#CFLAGS = -O
#CFLAGS = -g

#If you have purify, and want to use it, uncomment this definition or
# run the make as `make PURIFY=purify'
# or run configure with the --with-purify argument.
PURIFY = 

.SUFFIXES : $(C) $(CX) $(O)

$(C)$(O) :
	$(CC) -c $(CPPFLAGS) $(DEFS) $(XLOCKINC) $(CFLAGS) $<

$(CX)$(O) :
	$(CXX) -c $(CPPFLAGS) $(DEFS) $(XLOCKINC) $(CXXFLAGS) $<

install :

install-program :

install-man :

install-ad :

uninstall :

uninstall-program :

uninstall-man :

uninstall-ad :

install.program : install-program

install.man : install-man

install.ad : install-ad

uninstall.program : uninstall-program

uninstall.man : uninstall-man

uninstall.ad : uninstall-ad

lint :

antic :
	antic $(GLDIR)*.h $(GLDIR)*.c $(GLDIR)*.cc

cppcheck :
	cppcheck -f -q $(GLDIR)*.c $(GLDIR)*.cc

xrdb :

man :

html :

hlp :

clean :
	$(RM) *.o *.xlk core *~ *% *.bak *.orig *.rej *.patch .pure
	$(RM) make.log MakeOut Makefile.dep

distclean : clean
	$(RM) Makefile

clean.all : distclean

# Adds all current dependencies to Makefile
depend :
	$(DEPEND) -s '# DO NOT DELETE: updated by make depend'              \
	$(DEPEND_FLAGS) --                                                  \
	$(XLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                  \
	$(XLOCKGLSRCS)

# Adds some dependencies to Makefile.in -- not totally accurate, but pretty
# close.  This excludes dependencies on files in /usr/include, etc.  It tries
# to include only dependencies on files which are themselves a part of this
# package.
distdepend :
	@echo updating dependencies in `pwd`/Makefile.in... ;               \
	$(DEPEND) -w 0 -f -                                                 \
	-s '# DO NOT DELETE: updated by make distdepend' $(DEPEND_FLAGS) -- \
	$(XLOCKINC) $(DEFS) $(DEPEND_DEFINES) $(CFLAGS) --                  \
	$(XLOCKGLSRCS) |                                                    \
	(                                                                   \
	  awk '/^#.*Id : Makefile.in/,/^# DO .*distdepend/' < Makefile.in ; \
	  sed -e 's@ \./@ @g;s@ /[^ ]*@@g;/^.*:$$/d'                        \
	      -e 's@^\.\./\.\./modes/glx@$$(GLOBJDIR)@'                     \
	      -e 's@\.\./\.\./pixmaps@$$(PIXMAPDIR)@g'                      \
	      -e 's@\.\./\.\./xlock@$$(UTILDIR)@g' ;                        \
	  echo ''                                                           \
	) > /tmp/distdepend.$$$$ &&                                         \
	mv Makefile.in Makefile.in.bak &&                                   \
	mv /tmp/distdepend.$$$$ Makefile.in

##############################################################################
#
# DO NOT DELETE: updated by make distdepend

$(GLOBJDIR)/cage.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/cage.o: $(top_objdir)/config.h
$(GLOBJDIR)/cage.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/cage.o: $(UTILDIR)/random.h
$(GLOBJDIR)/cage.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/cage.o: $(GLDIR)/e_textures.h
$(GLOBJDIR)/fire.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/fire.o: $(top_objdir)/config.h
$(GLOBJDIR)/fire.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/fire.o: $(UTILDIR)/random.h
$(GLOBJDIR)/fire.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/fire.o: $(UTILDIR)/iostuff.h
$(GLOBJDIR)/fire.o: $(GLDIR)/xpm-ximage.h
$(GLOBJDIR)/fire.o: $(PIXMAPDIR)/ground.xpm
$(GLOBJDIR)/fire.o: $(PIXMAPDIR)/tree.xpm
$(GLOBJDIR)/gears.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/gears.o: $(top_objdir)/config.h
$(GLOBJDIR)/gears.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/gears.o: $(UTILDIR)/random.h
$(GLOBJDIR)/gears.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/juggler3d.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/juggler3d.o: $(top_objdir)/config.h
$(GLOBJDIR)/juggler3d.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/juggler3d.o: $(UTILDIR)/random.h
$(GLOBJDIR)/juggler3d.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/lament.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/lament.o: $(top_objdir)/config.h
$(GLOBJDIR)/lament.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/lament.o: $(UTILDIR)/random.h
$(GLOBJDIR)/lament.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/lament.o: $(GLDIR)/xpm-ximage.h
$(GLOBJDIR)/lament.o: $(PIXMAPDIR)/lament.xpm
$(GLOBJDIR)/moebius.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/moebius.o: $(top_objdir)/config.h
$(GLOBJDIR)/moebius.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/moebius.o: $(UTILDIR)/random.h
$(GLOBJDIR)/moebius.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/moebius.o: $(GLDIR)/e_textures.h
$(GLOBJDIR)/morph3d.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/morph3d.o: $(top_objdir)/config.h
$(GLOBJDIR)/morph3d.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/morph3d.o: $(UTILDIR)/random.h
$(GLOBJDIR)/morph3d.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/morph3d.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/noof.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/noof.o: $(top_objdir)/config.h
$(GLOBJDIR)/noof.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/noof.o: $(UTILDIR)/random.h
$(GLOBJDIR)/noof.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/rubik.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/rubik.o: $(top_objdir)/config.h
$(GLOBJDIR)/rubik.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/rubik.o: $(UTILDIR)/random.h
$(GLOBJDIR)/rubik.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/sballs.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/sballs.o: $(top_objdir)/config.h
$(GLOBJDIR)/sballs.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/sballs.o: $(UTILDIR)/random.h
$(GLOBJDIR)/sballs.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/sballs.o: $(UTILDIR)/iostuff.h
$(GLOBJDIR)/sballs.o: $(GLDIR)/xpm-ximage.h
$(GLOBJDIR)/sballs.o: $(PIXMAPDIR)/face.xpm
$(GLOBJDIR)/sballs.o: $(PIXMAPDIR)/back.xpm
$(GLOBJDIR)/sierpinski3d.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/sierpinski3d.o: $(top_objdir)/config.h
$(GLOBJDIR)/sierpinski3d.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/sierpinski3d.o: $(UTILDIR)/random.h
$(GLOBJDIR)/sierpinski3d.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/sierpinski3d.o: $(UTILDIR)/color.h
$(GLOBJDIR)/skewb.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/skewb.o: $(top_objdir)/config.h
$(GLOBJDIR)/skewb.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/skewb.o: $(UTILDIR)/random.h
$(GLOBJDIR)/skewb.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/skewb.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/stairs.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/stairs.o: $(top_objdir)/config.h
$(GLOBJDIR)/stairs.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/stairs.o: $(UTILDIR)/random.h
$(GLOBJDIR)/stairs.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/stairs.o: $(GLDIR)/e_textures.h
$(GLOBJDIR)/superquadrics.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/superquadrics.o: $(top_objdir)/config.h
$(GLOBJDIR)/superquadrics.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/superquadrics.o: $(UTILDIR)/random.h
$(GLOBJDIR)/superquadrics.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/xpm-ximage.o: $(top_objdir)/config.h
$(GLOBJDIR)/xpm-ximage.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/xpm-ximage.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/xpm-ximage.o: $(UTILDIR)/random.h
$(GLOBJDIR)/xpm-ximage.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/xpm-ximage.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/buildlwo.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/buildlwo.o: $(top_objdir)/config.h
$(GLOBJDIR)/buildlwo.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/buildlwo.o: $(UTILDIR)/random.h
$(GLOBJDIR)/buildlwo.o: $(GLDIR)/buildlwo.h
$(GLOBJDIR)/pipes.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/pipes.o: $(top_objdir)/config.h
$(GLOBJDIR)/pipes.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/pipes.o: $(UTILDIR)/random.h
$(GLOBJDIR)/pipes.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/pipes.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/pipes.o: $(GLDIR)/buildlwo.h
$(GLOBJDIR)/pipeobjs.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/pipeobjs.o: $(top_objdir)/config.h
$(GLOBJDIR)/pipeobjs.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/pipeobjs.o: $(UTILDIR)/random.h
$(GLOBJDIR)/pipeobjs.o: $(GLDIR)/buildlwo.h
$(GLOBJDIR)/sproingies.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/sproingies.o: $(top_objdir)/config.h
$(GLOBJDIR)/sproingies.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/sproingies.o: $(UTILDIR)/random.h
$(GLOBJDIR)/sproingies.o: $(GLDIR)/buildlwo.h
$(GLOBJDIR)/sproingiewrap.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/sproingiewrap.o: $(top_objdir)/config.h
$(GLOBJDIR)/sproingiewrap.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/sproingiewrap.o: $(UTILDIR)/random.h
$(GLOBJDIR)/sproingiewrap.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/sproingiewrap.o: $(UTILDIR)/visgl.h
$(GLOBJDIR)/s1_b.o: $(UTILDIR)/xlock.h
$(GLOBJDIR)/s1_b.o: $(top_objdir)/config.h
$(GLOBJDIR)/s1_b.o: $(UTILDIR)/mode.h
$(GLOBJDIR)/s1_b.o: $(UTILDIR)/random.h
$(GLOBJDIR)/s1_b.o: $(GLDIR)/buildlwo.h

=== debian/changelog ===
xlockmore (1:5.56-0) unstable; urgency=medium

  * antiX build

 -- anticapitalista <antix@operamail.com>  Sat, 13 Oct 2018 19:59:23 +0300

xlockmore (1:5.31-0~xenial) xenial; urgency=low

  * Non-maintainer upload.
  * Initial build for ubuntu xenial.

 -- chaocrator <chaocrator@gmail.com>  Thu, 05 Apr 2018 15:47:56 +0200

=== debian/control ===
Source: xlockmore
Section: x11
Maintainer: Michael Stone <mstone@debian.org>
Standards-Version: 3.9.8
Priority: optional
Build-Depends:  libgl1-mesa-dev, libx11-dev, libxdmcp-dev, libxext-dev, libxmu-dev, libxpm-dev, libxt-dev, x11proto-core-dev, libglu1-mesa-dev, perl, libpam0g-dev, debhelper, dh-buildinfo, dpatch

Package: xlockmore-gl
Architecture: any
Depends: ${shlibs:Depends}
Suggests: fortune
Recommends: libpam-modules
Conflicts: xlockmore
Replaces: xlockmore
Provides: xlockmore
Priority: optional
Description: Lock X11 display until password is entered -- GL version
 xlock locks the X server till the user enters his/her password at the
 keyboard.  While xlock is running, all new server connections are
 refused. The mouse cursor is turned off.  The screen is blanked and a
 changing pattern is put on the screen. If a key or a mouse button is
 pressed then the user is prompted for the password of the user who
 started xlock.
 .
 This version is built with graphical modes. The companion package 
 xlockmore does not contain them. This is the only difference between 
 the two packages.

Package: xlockmore
Architecture: any
Depends: ${shlibs:Depends}
Suggests: fortune
Recommends: libpam-modules
Conflicts: xlockmore-gl
Replaces: xlockmore-gl
Priority: extra
Description: Lock X11 display until password is entered.
 xlock locks the X server till the user enters his/her password at the
 keyboard.  While xlock is running, all new server connections are
 refused. The mouse cursor is turned off.  The screen is blanked and a
 changing pattern is put on the screen. If a key or a mouse button is
 pressed then the user is prompted for the password of the user who
 started xlock.
 .
 This version is built with only blank mode, the companion package 
 xlockmore-gl contains them. This is the only difference between the 
 two packages.

=== debian/rules ===
#!/usr/bin/make -f
# debian.rules file for the Debian/GNU Linux xlockmore package
# Copyright 1995-96 by Dirk Eddelbuettel <edd@debian.org>
# Copyright 1998 by Herbert Xu <herbert@debian.org>
# Copyright 1999 by Michael Stone <mstone@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS=-O2 -g

patch: patch-stamp
patch-stamp: 
	dpatch apply-all
	dpatch cat-all > patch-stamp
	touch patch-stamp

unpatch: 
	dpatch deapply-all
	rm -rf patch-stamp debian-patched

build: patch build-stamp
build-stamp:
	dh_testdir

	./configure \
		--prefix=/usr \
		--mandir=$(prefix)/share/man \
		--without-xpm  \
		--without-mesa \
		--without-opengl \
		--without-motif \
		--without-dtsaver \
		--without-rplay \
		--without-nas \
		--without-esound \
		--without-ttf \
		--without-gltt \
		--without-gtk \
		--without-freetype \
		--enable-flagtype=debian \
		--enable-button-logout=-1 \
		--enable-staff-file=/etc/xlock.staff \
		--enable-syslog \
		--enable-allowroot \
		--enable-pam --enable-bad-pam --enable-blank-only
	CFLAGS='-DDEBUG' $(MAKE)
	cp xlock/xlock debian

	CFLAGS='-DDEBUG' $(MAKE) -i clean
	rm -f config.h config.log config.status config.cache

	./configure \
		--prefix=/usr \
		--mandir=$(prefix)/share/man \
		--with-xpm  \
		--with-mesa \
		--with-opengl \
		--without-motif \
		--without-dtsaver \
		--without-rplay \
		--without-nas \
		--without-esound \
		--without-ttf \
		--without-gltt \
		--without-freetype \
		--without-ftgl \
		--without-gtk \
		--enable-flagtype=debian \
		--enable-button-logout=-1 \
		--enable-staff-file=/etc/xlock.staff \
		--enable-syslog \
		--enable-allowroot \
		--enable-pam --enable-bad-pam
	$(MAKE)

	chmod u+x debian/fvwm2rc2menu
	debian/fvwm2rc2menu

	touch build-stamp

clean: unpatch clean1
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	if [ -f Makefile ]; then $(MAKE) clean; fi
	rm -f debian/xlock
	rm -f debian/menu debian/xlockmore.menu
	rm -rf debian/xlockmore-gl
	rm -rf debian/xlockmore
	rm -f modes/*.x?m

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install \
		INSTALL_PROGRAM=install \
		INSTPGMFLAGS="" \
		xapploaddir=`pwd`/debian/xlockmore-gl/etc/X11/app-defaults \
		prefix=`pwd`/debian/xlockmore-gl/usr
	mkdir -p debian/xlockmore-gl/etc/pam.d
	install -m 644 debian/xlock.pam \
		debian/xlockmore-gl/etc/pam.d/xlock
	mkdir -p debian/xlockmore-gl/etc/X11/Xresources
	install -m 644 debian/xresources \
		debian/xlockmore-gl/etc/X11/Xresources/xlockmore
	install -m 644 debian/xlock.staff \
		debian/xlockmore-gl/etc/xlock.staff

	$(MAKE) install \
		INSTALL_PROGRAM=install \
		INSTPGMFLAGS="" \
		xapploaddir=`pwd`/debian/xlockmore/etc/X11/app-defaults \
		prefix=`pwd`/debian/xlockmore/usr
	install debian/xlock debian/xlockmore/usr/bin
	install -D -m 644 debian/README.Debian \
		debian/xlockmore/usr/share/doc/xlockmore/README.Debian
	mkdir -p debian/xlockmore/etc/pam.d
	install -m 644 debian/xlock.pam \
		debian/xlockmore/etc/pam.d/xlock
	mkdir -p debian/xlockmore/etc/X11/Xresources
	install -m 644 debian/xresources \
		debian/xlockmore/etc/X11/Xresources/xlockmore
	install -m 644 debian/xlock.staff \
		debian/xlockmore/etc/xlock.staff

#	Get rid of default app-defaults
#       TODO: eventually use this for setting logout, need transition
	rm -rf debian/xlockmore-gl/etc/X11/app-defaults
	rm -rf debian/xlockmore/etc/X11/app-defaults

	dh_installdocs
	dh_buildinfo
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installman -A xlock/xlock.man
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
